package net.lensfrex.dscape.dao.entity;

import lombok.Data;

import java.time.LocalDateTime;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

/**
 * @description register_applies
 * @author lensfrex
 * @date 2022-08-18
 */
@Data
public class RegisterApplies implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 管理员uid
     */
    private String admin;

    /**
     * 申请认证的用户
     */
    private String applyUser;

    /**
     * 申请状态
     */
    private int status;

    /**
     * create_time
     */
    private LocalDateTime createTime;

    /**
     * edit_time
     */
    private LocalDateTime editTime;

    /**
     * is_deleted
     */
    private int isDeleted;

    public RegisterApplies() {}
}